use crate::{SeString, Payload};
use crate::payload::{TextPayload, SeHyphenPayload};

super::basic_tests! {
    se_hyphen {
        payload = &[66, 101, 102, 111, 114, 101, 2, 31, 1, 3, 65, 102, 116, 101, 114];
        expected = SeString(vec![
            Payload::Text(TextPayload::from("Before")),
            Payload::SeHyphen(SeHyphenPayload),
            Payload::Text(TextPayload::from("After")),
        ]);
    }
}
